# Python Scraping using BeautifulSoup
import requests
from bs4 import BeautifulSoup

def get_span(id) :
    return info.find("span", attrs={"data-reactid": id}).string

the_url = "https://finance.yahoo.com/quote/TSLA/"
r = requests.get(the_url)
if r.status_code != 200:
    print('Download Err: '+r.url)
    exit()

soup = BeautifulSoup(r.text, "html.parser")
info = soup.find("div", attrs={"id": "quote-header-info"})

items = list()
items.append(info.find("h1").string)
items.append(get_span("9"))
items.append("{} {}".format(get_span("32"), get_span("33")))
items.append(get_span("35"))
notification = "\n".join(items)
print(notification)

token = "HUkpcDV6KJ2KMVmypDp3iVhcojmuuPbQn7bZbcJl9S1"
stock_price = float(get_span("32"))
if stock_price > 850: 
    headers = {
        "Authorization": "Bearer " + token,
        "Content-Type": "application/x-www-form-urlencoded"
    }
    params = { "message": notification }
    r = requests.post("https://notify-api.line.me/api/notify", headers=headers, params=params)
    print(r.json())
